catalog:
  title: Kinematics and Dynamics Library (KDL)

templates:
- github
- cmake-cpp
- base

variables:
  description: >-
    The Kinematics and Dynamics Library (KDL) develops an application
    independent framework for modelling and computation of kinematic
    chains, such as robots, biomechanical human models,
    computer-animated figures, machine tools, etc.

    It provides class libraries for geometrical objects (point, frame,
    line,... ), kinematic chains of various families (serial,
    humanoid, parallel, mobile,... ), and their motion specification
    and interpolation.
  keywords:
  - kinematics
  - geometry

  github.user: orocos
  github.project: orocos_kinematics_dynamics

  sub-directory: orocos_kdl/
  branches:
  - master
  - v1.3.1
  - 1.1.102
  - orocos_kinematics_dynamics-0.2.3

  numeric-version: ${version-name}
  extra-provides:
  - nature: cmake
    target: orocos_kdl
    version: ${numeric-version}
  - nature: pkg-config
    target: orocos-kdl
    version: ${numeric-version}
  - nature: pkg-config
    target: orocos_kdl
    version: ${numeric-version}

versions:
- name: orocos_kinematics_dynamics-0.2.3
  variables:
    numeric-version: 0.2.3

- name: master
  variables:
    numeric-version: '1.3'

- name: 1.1.102
  variables:
    numeric-version: '1.1'

- name: master-ni
  variables:
    github.user: ubi-agni
    branch: master
    numeric-version: '1.3'

- name: 1.1.102-ni
  variables:
    github.user: ubi-agni
    branch: 1.1.102
    numeric-version: '1.1'

- name: famula-0.1
  variables:
    github.user: ubi-agni
    branch: famula-0.1

- name: v1.3.1
  variables:
    numeric-version: '1.3.1'

